petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsIntArray

Gets an array of integers for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsIntArray_Private(PetscOptions *PetscOptionsObject,const char opt[],const char text[],const char man[],PetscInt value[],PetscInt *n,PetscBool  *set)

Logically Collective on the communicator passed in PetscOptionsBegin()

### Input Parameters

| opt | - the option one is seeking
| text | - short string describing option
| man | - manual page for option
| n | - maximum number of values

### Output Parameter

| value | - location to copy values
| n | - actual number of values found
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

The array can be passed as a comma separated list: 0,1,2,3,4,5,6,7 a range (start-end+1): 0-8 a range with given increment (start-end+1:inc): 0-7:2 a combination of values and ranges separated by commas: 0,1-8,8-15:2

There must be no intervening spaces between the values.

Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList(), PetscOptionsRealArray()

Level:beginner
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex17.c.html
src/snes/examples/tutorials/ex15.c.html